All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class BusinessQueryToFilterableListModelAdapter

    com.sas.dataselectors.filters.BusinessQueryToFilterableListModelAdapter

All Implemented Interfaces:
  FilterableListModelInterface

    public class BusinessQueryToFilterableListModelAdapter

The BusinessQueryToFilterableListModelAdapter constructs the list of filterable items for the given BusinessQuery interface as a data source.

Field Summary

Fields inherited from class com.sas.dataselectors.filters.AbstractFilterableListModel
`_dataSource, _filterableItems, _initialFilter, _initialized, _locale, environment`

Constructor Summary
`BusinessQueryToFilterableListModelAdapter()` Constructs a new adapter using the default properties.
`BusinessQueryToFilterableListModelAdapter(com.sas.iquery.metadata.business.BusinessQuery dataSource)` Constructs a new adapter from the specified native model.
`BusinessQueryToFilterableListModelAdapter(com.sas.iquery.metadata.business.BusinessQuery dataSource, int environment)` Constructs a new adapter from the specified native model.
`BusinessQueryToFilterableListModelAdapter(com.sas.iquery.metadata.business.BusinessQuery dataSource, java.lang.Object initialFilter)` Constructs a new adapter from the specified native model and initial filter.

Method Summary
`void` | `cancel()` Voids any changes made by the filter model to the native model and frees any resources (as appropriate).
`void` | `clearFilter(int index)` Removes the filter from the filterable item at the specified index.
`boolean` | `commitChanges()` Commits any model changes in all filterable items to the native model.
`protected FilterableItemInterface` | `createFilterableItem(java.lang.Object filterable)` Creates an instance of FilterableItemInterface for the given object from the native filter model.
`protected java.util.List` | `getFilterableObjects()` Returns the list of native filter model objects that should be used for filterable items in the filter model.

Methods inherited from class com.sas.dataselectors.filters.AbstractFilterableListModel
`clearAll, createFilterableItemList, getEnvironment, getFilterableItem, getFilterableItems, getInitialFilter, getLocale, getModel, setEnvironment, setInitialFilter, setLocale, setModel`

Constructor Detail

### BusinessQueryToFilterableListModelAdapter

    public BusinessQueryToFilterableListModelAdapter()

  Constructs a new adapter using the default properties.

### BusinessQueryToFilterableListModelAdapter

    public BusinessQueryToFilterableListModelAdapter(com.sas.iquery.metadata.business.BusinessQuery dataSource)

  Constructs a new adapter from the specified native model.

  Parameters:
    `dataSource` - the native model

### BusinessQueryToFilterableListModelAdapter

    public BusinessQueryToFilterableListModelAdapter(com.sas.iquery.metadata.business.BusinessQuery dataSource,
                                                     java.lang.Object initialFilter)

  Constructs a new adapter from the specified native model and initial filter. The initial filter (if given) will supply the initial structure and contents of the filter model.

  Parameters:
    `dataSource` - the native model
    `initialFilter` - the initial filter

### BusinessQueryToFilterableListModelAdapter

    public BusinessQueryToFilterableListModelAdapter(com.sas.iquery.metadata.business.BusinessQuery dataSource,
                                                     int environment)

  Constructs a new adapter from the specified native model.

  Parameters:
    `dataSource` - the native model
    `environment` - the operating environment (e.g. Swing,JSP)

Method Detail

### getFilterableObjects

    protected java.util.List getFilterableObjects()

  Returns the list of native filter model objects that should be used for filterable items in the filter model.

  Specified by:
    `getFilterableObjects` in class `AbstractFilterableListModel`
  Returns:
    the list of native filter model objects to process
  See Also:
    `AbstractFilterableListModel.getFilterableObjects()`

### createFilterableItem

    protected FilterableItemInterface createFilterableItem(java.lang.Object filterable)

  Creates an instance of FilterableItemInterface for the given object from the native filter model.

  Specified by:
    `createFilterableItem` in class `AbstractFilterableListModel`
  Parameters:
    `filterable` - the native model object to process
  Returns:
    the FilterableItemInterface instance representing the given object
  See Also:
    `AbstractFilterableListModel.createFilterableItem(Object)`

### commitChanges

    public boolean commitChanges()

  Commits any model changes in all filterable items to the native model.

  Specified by:
    `commitChanges` in interface `FilterableListModelInterface`
  Overrides:
    `commitChanges` in class `AbstractFilterableListModel`
  Returns:
    true if the native model was successfully updated in all attempts, false otherwise

### cancel

    public void cancel()

  Voids any changes made by the filter model to the native model and frees any resources (as appropriate).

  Specified by:
    `cancel` in interface `FilterableListModelInterface`
  Overrides:
    `cancel` in class `AbstractFilterableListModel`

### clearFilter

    public void clearFilter(int index)

  Description copied from class: `AbstractFilterableListModel`
  Removes the filter from the filterable item at the specified index.

  Specified by:
    `clearFilter` in interface `FilterableListModelInterface`
  Overrides:
    `clearFilter` in class `AbstractFilterableListModel`
  Parameters:
    `index` - the index in the list of filterable items of the filter to clear

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.